Subject: Re: [PATCH 0/4] repo: add support for path-related fields

From: Junio C Hamano <[email-masked]>
Date: Mon, 02 Mar 2026 13:34:30 -0800

Tian Yuchen <[email-masked]> writes:

> On 3/3/26 00:38, Junio C Hamano wrote:
>> "brian m. carlson" <[email-masked]> writes:
>> 
>>> With `git rev-parse`, you can change `--path-format` on the command line
>>> between options, so if you want both, you just request one thing, use
>>> `--path-format`, and then request the other.  However, that can't be
>>> done with `git repo` and `--path-format`.
>> 
>> Hmph, that is one advantage of that incremental option handling done
>> by "rev-parse", which often is a source of confusion and complaints,
>> though ;-)
>
> Short question: Is using format modifier like (%path:relative), 
> (%path:absolute) a good solution here? I think it can be implemented by 
> simply adding a path parsing function in ref-filter.c (and some other 
> work that aren't particularly challenging).
>
> It should be user-friendly, readable and free of global flags, right? :-]

What command are we talking about now?  Is it a plumbing where
predictability, simplicity and performance matters more than
end-user friendliness?